Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 282639 - binary package soname dependencies
Summary: binary package soname dependencies
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: .tbz2 support (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on: 534206
Blocks: 155723 preserve-libs 678972 694246
  Show dependency tree
 
Reported: 2009-08-25 06:09 UTC by Zac Medico
Modified: 2019-09-12 23:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2009-08-25 06:09:28 UTC
After building the dependency graph, we can check selected binary packages to verify that they don't depend on preserved libraries.
Comment 1 Zac Medico gentoo-dev 2014-12-29 09:12:08 UTC
I've posted a proposal for generation of binary package soname dependencies using new PROVIDES_EXCLUDE and REQUIRES_EXCLUDE ebuild metadata variables:

	http://thread.gmane.org/gmane.linux.gentoo.devel/94145
Comment 2 Zac Medico gentoo-dev 2015-01-17 08:11:49 UTC
I'm working on this in the following branch:

	https://github.com/zmedico/portage/tree/binpkg-soname-deps
Comment 3 Zac Medico gentoo-dev 2015-01-27 03:19:29 UTC
I've posted for review a patch to generate soname dependencies:

http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5154
Comment 4 Zac Medico gentoo-dev 2015-02-09 05:47:37 UTC
Soname dependency resolution is now implemented, and posted for review:

http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5208
Comment 5 Zac Medico gentoo-dev 2015-02-13 18:58:19 UTC
(In reply to Zac Medico from comment #4)
> Soname dependency resolution is now implemented, and posted for review:
> 
> http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5208

In the master branch now:

https://github.com/gentoo/portage/commit/f1c1b8a77eebf7713b32e5f9945690f60f4f46de
https://github.com/gentoo/portage/commit/11467fc640995e3dc8897c82bbc7130d5bf27d05

(In reply to Zac Medico from comment #0)
> After building the dependency graph, we can check selected binary packages
> to verify that they don't depend on preserved libraries.

Current soname dependency resolution only supports --usepkgonly. We could still add a sanity check for @preserve-rebuild that works with --usepkg.
Comment 6 Brian Dolbec gentoo-dev 2015-03-04 21:44:51 UTC
Released in portage-2.2.18